Subject: RE: [nemo] NEMOv4 vs DS-MIPv6

From: "Soliman, Hesham" <[email-masked]>
Date: Thu, 11 May 2006 11:02:59 -0700

It is in the published draft. We don't talk about MNP tables but 
that doesn't mean we don't support it. 

Hesham

 > -----Original Message-----
 > From: Alexandru Petrescu [mailto:[email-masked]] 
 > Sent: Thursday, May 11, 2006 1:52 PM
 > To: Soliman, Hesham
 > Cc: Keiichi SHIMA; [email-masked]; [email-masked]; 
 > [email-masked]
 > Subject: Re: [nemo] NEMOv4 vs DS-MIPv6
 > 
 > Soliman, Hesham wrote:
 > > 
 > >>> Tsirtsis, George wrote:
 > >>>> P.S.: BTW, Hesham is telling me that DS-MIPv6 spec does
 > >> support IPv4
 > >>>> prefixes
 > >>> 
 > >>> ... where?  The draft only says MR should attach a
 > >> prefixlen on the v4
 > >>> HoA in a IPv4 hoa option.  Is there a way to communicate
 > >> v4 MNPs that
 > >>> are not related to the HoA?  Is it possible to specify
 > >> several v4 MNPs?
 > >> 
 > >> I think I raised the feature in the Vancouver meeting and 
 > I believe
 > >>  authors incorporated the function to carry multiple 
 > v4pfxes in the
 > >>  draft.
 > >> 
 > >> The issue 57 is that proposal I raised, and it seems it had been 
 > >> accepted.
 > >> 
 > >> Maybe a short status report of this topic from the authors make 
 > >> your question clear.
 > > 
 > > => What Keiichi said is correct. We included this based on his 
 > > comments.
 > 
 > Ah I see, thanks.  I based my remarks on the published draft.  I'll
 > wait for the next draft cycle to see whether MNP can be 
 > different than
 > HoA, and I will comment then.
 > 
 > Alex
 >

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 11 May 2006 20:35:43 +0200

Soliman, Hesham wrote:
> It is in the published draft.

The published draft says this:
> 3.1.1 IPv4 home address option
> 
>    This option is included in the Mobility Header including the binding
>    update message sent from the mobile node to a home agent or Mobility
>    Anchor Point.
> 
>        0                   1                   2                   3
>        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>                       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>                       |   Type        |   Length      |  Pref     |Res|
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |                     IPv4 home address                         |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 
>    Type                 TBD
> 
>    Length               1
> 
>    Pref                 The length of the prefix associated with the
>                         home address. If only a single address is
>                         needed/allowed, this field MUST be set to 32.

The title of the option is "IPv4 home address option", and the field 
name is "IPv4 Home Address".  There is a "Pref" field for prefix length. 
  I was confused by two things.

"Pref" can be confused with "Preference", that's how I read it.  Better 
be named "plen" in the message diagram and fully spelled "plen - Prefix 
Length" in the body, or similar, to avoid confusion with "preference".

The second confusion is that it clearly suggests that the HoA is bound 
to MNP.  Both in NEMOv6 and NEMOv4 HoA is not bound to MNP.  I suggest 
DS-MIPv6 doesn't bind them either.  The only place where they are bound 
is in soon-to-be RFC informational Home Network models (IESG queue).

> We don't talk about MNP tables but that doesn't mean we don't support
> it.

I'm against silently supporting an essential data structure for security.

When programming DS-MIPv6 on a node with IPv4 and MIP6-NEMOv6 stacks 
(not NEMOv4) the data structure available is the Prefix Table of NEMOv6. 
That contains IPv6 HoA-MNP pairs. For DS-MIPv6 to support IPv4 MNPs it 
should contain IPv4 HoA-MNP pairs. Or maybe IPv4-mapped IPv6 addresses? 
What does the draft recommend to implementers with respect to this choice?

Alex